# SENTSpeedingEvent

An event that represents a period of time where speeding was observed.

A speeding event is based on the speed and speed limit information of individual waypoints. These waypoints are accessible from this speeding event.

```objectivec
SWIFT_CLASS_NAMED("SpeedingEvent")
@interface SENTSpeedingEvent : SENTDrivingEvent
```

## SENTSpeedingEvent API

### `startDate`

> The start date of the event.
>
> ```objectivec
> @property (nonatomic, readonly, strong) SENTDate * _Nonnull startDate;
> ```

### `endDate`

> The end date of the event.
>
> ```objectivec
> @property (nonatomic, readonly, strong) SENTDate * _Nonnull endDate;
> ```

### `waypoints`

> The transport waypoints that capture the speeding, where each waypoint contains the transport speed and speed limit information at the given waypoint location.
>
> ```objectivec
> @property (nonatomic, readonly, strong) NSArray<SENTWaypoint> * _Nonnull waypoints;
> ```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/driving-insights/sentspeedingevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
